org.apache.sysds.runtime.compress.colgroup

## Enum ColGroup.CompressionType

- java.lang.Object
- - java.lang.Enum<ColGroup.CompressionType>
  - - org.apache.sysds.runtime.compress.colgroup.ColGroup.CompressionType

- All Implemented Interfaces:
    Serializable, Comparable<ColGroup.CompressionType>
  Enclosing class:
    ColGroup

      public static enum ColGroup.CompressionType
      extends Enum<ColGroup.CompressionType>

  Public Group types supported Note For instance DDC is called DDC not DDC1, or DDC2 which is a specific subtype of the DDC. That differentiation is hidden to a user. Includes Uncompressed for sparse/dense representation RLE for Run length encoding OLE for Offset Length encoding DDC for Dense dictionary encoding

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DDC`
    `OLE`
    `RLE`
    `UNCOMPRESSED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ColGroup.CompressionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ColGroup.CompressionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCOMPRESSED

          public static final ColGroup.CompressionType UNCOMPRESSED

    - #### RLE

          public static final ColGroup.CompressionType RLE

    - #### OLE

          public static final ColGroup.CompressionType OLE

    - #### DDC

          public static final ColGroup.CompressionType DDC

  - ### Method Detail

    - #### values

          public static ColGroup.CompressionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColGroup.CompressionType c : ColGroup.CompressionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColGroup.CompressionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2020 The Apache Software Foundation. All rights reserved.